package fr.uha.gasser.pathfinding.algorithm;

import java.awt.*;

public class Node implements Comparable<Node> {
    private Node parent;
    Point loc;
    int cost;
    double hValue; // heuristic value

    public Node(Point loc) {
        this.loc = loc;
    }

    Node(Node other) {
        this.parent = other.parent;
        this.loc = other.loc;
        this.cost = other.cost;
        this.hValue = other.hValue;
    }

    void setParent(Node parent) {
        this.parent = parent;
    }

    public void sethValue(double hValue) {
        this.hValue = hValue;
    }

    void setLoc(Point point) {
        this.loc = point;
    }

    public Point getLoc() {
        return loc;
    }

    Node getParent() {
        return parent;
    }

    @Override
    public int compareTo(Node other) {
        return Double.compare(this.hValue, other.hValue);
    }
}
